// Athena Character configuration file.

// Note: "Comments" are all text on the right side of a double slash "//"
// Whatever text is commented will not be parsed by the servers, and serves
// only as information/reference.

// Server Communication username and password.
userid: s1
passwd: p1

// Server name, use alternative character such as ASCII 160 for spaces.
// NOTE: Do not use spaces or any of these characters which are not allowed in
//       Windows filenames \/:*?"<>|
//       ... or else guild emblems won't work client-side!
server_name: rAthena

// Wisp name for server: used to send wisp from server to players (between 4 to 23 characters)
wisp_server_name: Server

// Login Server IP
// The character server connects to the login server using this IP address.
// NOTE: This is useful when you are running behind a firewall or are on
// a machine with multiple interfaces.
//login_ip: 127.0.0.1

// The character server listens on the interface with this IP address.
// NOTE: This allows you to run multiple servers on multiple interfaces
// while using the same ports for each server.
//bind_ip: 127.0.0.1

// Login Server Port
login_port: 6900

// Character Server IP
// The IP address which clients will use to connect.
// Set this to what your server's public IP address is.
//char_ip: 127.0.0.1

// Character Server Port
char_port: 6121

//Time-stamp format which will be printed before all messages.
//Can at most be 20 characters long.
//Common formats:
// %I:%M:%S %p (hour:minute:second 12 hour, AM/PM format)
// %H:%M:%S (hour:minute:second, 24 hour format)
// %d/%b/%Y (day/Month/year)
//For full format information, consult the strftime() manual.
//timestamp_format: [%d/%b %H:%M]

//If redirected output contains escape sequences (color codes)
stdout_with_ansisequence: no

//Makes server log selected message types to a file in the /log/ folder
//1: Log Warning Messages
//2: Log Error and SQL Error messages.
//4: Log Debug Messages
//Example: "console_msg_log: 7" logs all 3 kinds
//Messages logged by this overrides console_silent setting
console_msg_log: 0

// File path to store the console messages above
console_log_filepath: ./log/char-msg_log.log

//Makes server output more silent by ommitting certain types of messages:
//1: Hide Information messages
//2: Hide Status messages
//4: Hide Notice Messages
//8: Hide Warning Messages
//16: Hide Error and SQL Error messages.
//32: Hide Debug Messages
//Example: "console_silent: 7" Hides information, status and notice messages (1+2+4)
console_silent: 0

// Console Commands
// Allow for console commands to be used on/off
// This prevents usage of >& log.file
console: off

// Type of server.
// No functional side effects at the moment.
// Displayed next to the server name in the client.
// 0=normal, 1=maintenance, 2=over 18, 3=paying, 4=P2P
char_maintenance: 0

// Enable or disable creation of new characters.
// Now it is actually supported [Kevin]
char_new: yes

// Display (New) in the server list.
char_new_display: 0

// Maximum users able to connect to the server.
// Set to 0 to disable users to log-in. (-1 means unlimited)
max_connect_user: -1

// Group ID that is allowed to bypass the server limit of users.
// Or to connect when the char is in maintenance mode (groupid >= allow)
// Default: -1 = nobody (there are no groups with ID < 0)
// See: conf/groups.conf
gm_allow_group: 99

// How often should the server save guild infos? (In seconds)
// (character save interval is defined on the map config (autosave_time))
autosave_time: 60

// Display information on the console whenever characters/guilds/parties/pets are loaded/saved?
save_log: yes

// Starting point for new characters
// Format: <map_name>,<x>,<y>{:<map_name>,<x>,<y>...}
// Max number of start points is MAX_STARTPOINT in char.hpp (default 5)
// Location is randomly picked on character creation.
// NOTE: For Doram, this requires client 20151001 or newer.
start_point: iz_int,18,26:iz_int01,18,26:iz_int02,18,26:iz_int03,18,26:iz_int04,18,26
start_point_pre: new_1-1,53,111:new_2-1,53,111:new_3-1,53,111:new_4-1,53,111:new_5-1,53,111
start_point_doram: lasa_fild01,48,297

// Starting items for new characters
// Max number of items is MAX_STARTITEM in char.cpp (default 32)
// Format: <id>,<amount>,<position>{:<id>,<amount>,<position>...}
// To auto-equip an item, include the position where it will be equipped; otherwise, use zero.
// NOTE: For Doram, this requires client 20151001 or newer.
start_items: 1201,1,2:2301,1,16
start_items_doram: 1681,1,2:2301,1,16

// Starting zeny for new characters
start_zeny: 0

// Size for the fame-lists
fame_list_alchemist: 10
fame_list_blacksmith: 10
fame_list_taekwon: 10

// Guild earned exp modifier.
// Adjusts taxed exp before adding it to the guild's exp. For example, if set
// to 200, the guild receives double the player's taxed exp.
guild_exp_rate: 100

// Name used for unknown characters
unknown_char_name: Unknown

// To log the character server?
log_char: yes

// Allow or not identical name for characters but with a different case (upper/lower):
// example: Test-test-TEST-TesT; Value: 0 not allowed (default), 1 allowed
name_ignoring_case: no

// Manage possible letters/symbol in the name of charater. Control character (0x00-0x1f) are never accepted. Possible values are:
// NOTE: Applies to character, party and guild names.
// 0: no restriction (default)
// 1: only letters/symbols in 'char_name_letters' option.
// 2: Letters/symbols in 'char_name_letters' option are forbidden. All others are possibles.
char_name_option: 1

// Set the letters/symbols that you want use with the 'char_name_option' option.
// Note: Don't add spaces unless you mean to add 'space' to the list.
char_name_letters: abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890

// Restrict character deletion by BaseLevel
// 0: no restriction (players can delete characters of any level)
// -X: you can't delete chars with BaseLevel <= X
// Y: you can't delete chars with BaseLevel >= Y
// e.g. char_del_level: 80 (players can't delete characters with 80+ BaseLevel)
char_del_level: 0

// Amount of time in seconds by which the character deletion is delayed.
// Default: 86400 (24 hours)
// NOTE: Requires client 2010-08-03aragexeRE or newer.
char_del_delay: 86400

// Restrict character deletion by email address or birthdate.
// This restricts players from changing the langtype and deleting characters.
// Defaults based on client date.
// 1: Email address
// 2: Birthdate
// 3: Email address or Birthdate
// IMPORTANT!
// - This config only works for clients that send 0x0068 or 0x01fb for delete request.
// - Use langtype 1 for newer clients (2013+), to use 0x01fb.
// - Clients that are not using 0x0068 or 0x01fb, only use birthdate (YYMMDD) as default.
char_del_option: 2

// Restrict character deletion as long as he is still in a party or guild
// 0: No restriction is applied
// 1: Character cannot be deleted as long as he remains in a party
// 2: Character cannot be deleted as long as he remains in a guild
// 3: Character cannot be deleted as long as he remains in a party or guild(default)
char_del_restriction: 3

// Restrict certain class from being created. (Only functional on 20151001aRagexe or later)
// 0: No character creation is allowed
// 1: Only novice is allowed to be created    (pre-renewal default)
// 2: Only summoner is allowed to be created
// 3: Both novice and summoner can be created (renewal default)
// Uncomment to customize the restriction
//allowed_job_flag: 3

// What folder the DB files are in (item_db.txt, etc.)
db_path: db

//===================================
// Pincode system
//===================================
// NOTE: Requires client 2011-03-09aragexeRE or newer.
// A window is opened before you can select your character and you will have to enter a pincode by using only your mouse.
// Default: yes
pincode_enabled: yes

// How often does a user have to change his pincode?
// 0: never (default)
// X: every X days
pincode_changetime: 0

// How often can a user enter the wrong pincode?
// Default: 3 (client maximum)
pincode_maxtry: 3

// Are users forced to use a pincode when the system is enabled?
// Default: yes
pincode_force: yes

// Are repeated numbers allowed?
// Default: no
pincode_allow_repeated: no

// Are sequential numbers allowed?
// Default: no
pincode_allow_sequential: no

//===================================
// Addon system
//===================================
// Character moving
// NOTE: Requires client 2011-09-28aragexeRE or newer.
// Allows users to move their characters between slots.
// Default: yes
char_move_enabled: yes

// Allow users to move a character to a used slot?
// If enabled the characters are exchanged.
// Default: yes
char_movetoused: yes

// Allow users to move characters as often as they like?
char_moves_unlimited: no

// Character renaming
// Allow users to rename a character while being in a party?
// Default: no
char_rename_party: no

// Allow users to rename a character while being in a guild?
// Default: no
char_rename_guild: no

// Should we check if sql-tables are correct on server startup ?
char_checkdb: yes

// Default map if character is in not-existing map when loaded.
default_map: prontera
default_map_x: 156
default_map_y: 191

// After how many days should inactive clan members be removed from their clan?
// 0: never remove them
// X: remove clan members if they did not log in for X days
// Default: 14
clan_remove_inactive_days: 14

//===================================
// RODEX
//===================================
// After how many days should mails be returned to their sender?
// 0: never return them
// X: return them after X days
// Default: 15
mail_return_days: 15

// How many days after a mail was returned to it's sender should it be deleted completely?
// 0: never delete them
// X: delete them X days after they were returned
// Default: 15
mail_delete_days: 15

import: conf/import/char_conf.txt
